/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IArchiveMetadata.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.archive.api;

/**
 * Metadata available for this Archive. This may be mainly the metadata
 * collected from the Manifest file
 * @author Florent BENOIT
 */
public interface IArchiveMetadata {

    /**
     * Gets the value of an entry for the given name.
     * @param name the name of the key to use.
     * @return the value
     */
    String get(final String name);

    /**
     * @return the value of the implementation version of this archive.
     */
    String getImplementationVersion();

    /**
     * Adds an entry into this metadata.
     * @param name the name of the key to add
     * @param value the value of the given key
     */
    void put(final String name, String value);

}
